summaryrefslogtreecommitdiff
path: root/hg/post-apt.d
diff options
context:
space:
mode:
Diffstat (limited to 'hg/post-apt.d')
-rw-r--r--hg/post-apt.d/10git-test6
-rw-r--r--hg/post-apt.d/30git-add7
-rw-r--r--hg/post-apt.d/40git-rm12
-rw-r--r--hg/post-apt.d/50git-commit12
-rw-r--r--hg/post-apt.d/README2
5 files changed, 39 insertions, 0 deletions
diff --git a/hg/post-apt.d/10git-test b/hg/post-apt.d/10git-test
new file mode 100644
index 0000000..e72f195
--- /dev/null
+++ b/hg/post-apt.d/10git-test
@@ -0,0 +1,6 @@
+#!/bin/sh
+set -e
+if [ ! -d .git ]; then
+ echo "etckeeper warning: etckeeper is not yet enabled for $(pwd)" >&2
+ echo "etckeeper warning: run etckeeper init to enable it" >&2
+fi
diff --git a/hg/post-apt.d/30git-add b/hg/post-apt.d/30git-add
new file mode 100644
index 0000000..79aa406
--- /dev/null
+++ b/hg/post-apt.d/30git-add
@@ -0,0 +1,7 @@
+#!/bin/sh
+set -e
+if [ -d .git ]; then
+ if ! git-add .; then
+ echo "etckeeper warning: git-add failed" >&2
+ fi
+fi
diff --git a/hg/post-apt.d/40git-rm b/hg/post-apt.d/40git-rm
new file mode 100644
index 0000000..680dac0
--- /dev/null
+++ b/hg/post-apt.d/40git-rm
@@ -0,0 +1,12 @@
+#!/bin/sh
+set -e
+
+TAB=" "
+
+if [ -d .git ]; then
+ for file in $(git ls-files --deleted); do
+ if [ ! -d "$file" ]; then
+ git rm --quiet "$file"
+ fi
+ done
+fi
diff --git a/hg/post-apt.d/50git-commit b/hg/post-apt.d/50git-commit
new file mode 100644
index 0000000..1a5c55a
--- /dev/null
+++ b/hg/post-apt.d/50git-commit
@@ -0,0 +1,12 @@
+#!/bin/sh
+set -e
+
+if [ -d .git ]; then
+
+ # TODO: figure out what packages were acted on by the apt run, and
+ # include that info in the commit message
+ message="committing changes after apt run"
+
+ # ignore exit code since it exits nonzero if there is nothing to do
+ git commit $GIT_COMMIT_OPTIONS -m "$message" || true
+fi
diff --git a/hg/post-apt.d/README b/hg/post-apt.d/README
new file mode 100644
index 0000000..befa5c0
--- /dev/null
+++ b/hg/post-apt.d/README
@@ -0,0 +1,2 @@
+Files in this directory are run after apt has run. They should commit
+changes and new files in /etc to repository.